gnome-system-monitor 3.14.1-1 uses headerbar on all DEs

Bug #1385560 reported by Jackson Doak on 2014-10-25
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Gnome System Monitor
Won't Fix
Wishlist
gnome-system-monitor (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync gnome-system-monitor 3.14.1-1 (main) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
  * debian/patches/git_draw-transparent-background.patch:
    - backport fix for background color issue (lp: #1376432)
  * debian/patches/git_draw-transparent-background.patch:
    - backport fix for background color issue (lp: #1376432)
  * Actually do a no change rebuild against new libgtop
  * No change rebuild against new libgtop
  * Backport some upstream changes
  * debian/patches/git_segfault_fix.patch
    - "Fix segfault on view mode change with process properties open."
      (lp: #1246813)
  * debian/patches/git_grid_rendering.patch:
    - "display without grid" (lp: #1093582)
  * debian/patches/git_chart_value.patch:
    - starts charts with the correct value instead of 0 (lp: #432184)
  * Backport some upstream changes
  * debian/patches/git_segfault_fix.patch
    - "Fix segfault on view mode change with process properties open."
      (lp: #1246813)
  * debian/patches/git_grid_rendering.patch:
    - "display without grid" (lp: #1093582)
  * debian/patches/git_chart_value.patch:
    - starts charts with the correct value instead of 0 (lp: #432184)
Fixed in debian

Changelog entries since current vivid version 3.8.2.1-2ubuntu4:

gnome-system-monitor (3.14.1-1) unstable; urgency=medium

  [ Jackson Doak ]
  * debian/control.in: Add build-depends on appdata-tools, desktop-file-utils
    - Allows build time file validation

  [ Laurent Bigonville ]
  * New upstream release.
  * debian/control.in: Bump Standards-Version to 3.9.6 (no further changes)
  * Add debian/source/lintian-overrides: Add an override as some files are not
    properly cleaned up when the tarball is built.

 -- Laurent Bigonville <email address hidden> Sat, 18 Oct 2014 10:40:12 +0200

gnome-system-monitor (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Andreas Henriksson <email address hidden> Mon, 22 Sep 2014 19:50:52 +0200

gnome-system-monitor (3.13.91-1) experimental; urgency=medium

  * New upstream development release.

 -- Andreas Henriksson <email address hidden> Fri, 05 Sep 2014 15:21:14 -0700

gnome-system-monitor (3.13.90-1) experimental; urgency=medium

  * New upstream development release.
  * Update build-dependencies according to configure.ac:
    - drop gnome-icon-theme
    - bump libgtk-3-dev to (>= 3.12.0)

 -- Andreas Henriksson <email address hidden> Thu, 28 Aug 2014 23:19:57 -0700

gnome-system-monitor (3.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <email address hidden> Fri, 16 May 2014 11:51:32 +0200

gnome-system-monitor (3.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <email address hidden> Fri, 09 May 2014 19:57:25 +0200

gnome-system-monitor (3.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/01-fix_ftbfs_hurd.patch, merged upstream.

 -- Andreas Henriksson <email address hidden> Mon, 24 Mar 2014 22:33:35 +0100

gnome-system-monitor (3.11.90-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <email address hidden> Mon, 17 Feb 2014 22:12:59 +0100

gnome-system-monitor (3.10.2-2) unstable; urgency=medium

  * Upload to unstable
  * debian/patches/01-fix_ftbfs_hurd.patch: Fix FTBFS on hurd-i386
    (Closes: #738280)
  * Only enable systemd-logind support on linux architectures

 -- Laurent Bigonville <email address hidden> Sun, 16 Feb 2014 13:05:55 +0100

gnome-system-monitor (3.10.2-1) experimental; urgency=low

  * New upstream release.
    - Drop debian/patches/01-kfreebsd-define.patch: Applied upstream
    - debian/control.in: Bump build-dependencies
  * debian/control.in:
    - Bump Standards-Version to 3.9.5 (no further changes)
    - Add dependency against libsystemd-login-dev (>= 44)
  * debian/rules: Explicitly pass --enable-wnck and --enable-systemd to the
    configure

 -- Laurent Bigonville <email address hidden> Sat, 14 Dec 2013 16:17:43 +0100

Related branches

Jackson Doak (noskcaj) on 2014-10-25
Changed in gnome-system-monitor (Ubuntu):
importance: Undecided → Wishlist
Daniel Holbach (dholbach) wrote :

This bug was fixed in the package gnome-system-monitor - 3.14.1-1
Sponsored for Jackson Doak (noskcaj)

---------------
gnome-system-monitor (3.14.1-1) unstable; urgency=medium

  [ Jackson Doak ]
  * debian/control.in: Add build-depends on appdata-tools, desktop-file-utils
    - Allows build time file validation

  [ Laurent Bigonville ]
  * New upstream release.
  * debian/control.in: Bump Standards-Version to 3.9.6 (no further changes)
  * Add debian/source/lintian-overrides: Add an override as some files are not
    properly cleaned up when the tarball is built.

 -- Laurent Bigonville <email address hidden> Sat, 18 Oct 2014 10:40:12 +0200

gnome-system-monitor (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Andreas Henriksson <email address hidden> Mon, 22 Sep 2014 19:50:52 +0200

gnome-system-monitor (3.13.91-1) experimental; urgency=medium

  * New upstream development release.

 -- Andreas Henriksson <email address hidden> Fri, 05 Sep 2014 15:21:14 -0700

gnome-system-monitor (3.13.90-1) experimental; urgency=medium

  * New upstream development release.
  * Update build-dependencies according to configure.ac:
    - drop gnome-icon-theme
    - bump libgtk-3-dev to (>= 3.12.0)

 -- Andreas Henriksson <email address hidden> Thu, 28 Aug 2014 23:19:57 -0700

gnome-system-monitor (3.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <email address hidden> Fri, 16 May 2014 11:51:32 +0200

gnome-system-monitor (3.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <email address hidden> Fri, 09 May 2014 19:57:25 +0200

gnome-system-monitor (3.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/01-fix_ftbfs_hurd.patch, merged upstream.

 -- Andreas Henriksson <email address hidden> Mon, 24 Mar 2014 22:33:35 +0100

gnome-system-monitor (3.11.90-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <email address hidden> Mon, 17 Feb 2014 22:12:59 +0100

gnome-system-monitor (3.10.2-2) unstable; urgency=medium

  * Upload to unstable
  * debian/patches/01-fix_ftbfs_hurd.patch: Fix FTBFS on hurd-i386
    (Closes: #738280)
  * Only enable systemd-logind support on linux architectures

 -- Laurent Bigonville <email address hidden> Sun, 16 Feb 2014 13:05:55 +0100

gnome-system-monitor (3.10.2-1) experimental; urgency=low

  * New upstream release.
    - Drop debian/patches/01-kfreebsd-define.patch: Applied upstream
    - debian/control.in: Bump build-dependencies
  * debian/control.in:
    - Bump Standards-Version to 3.9.5 (no further changes)
    - Add dependency against libsystemd-login-dev (>= 44)
  * debian/rules: Explicitly pass --enable-wnck and --enable-systemd to the
    configure

 -- Laurent Bigonville <email address hidden> Sat, 14 Dec 2013 16:17:43 +0100

Changed in gnome-system-monitor (Ubuntu):
status: New → Fix Released
Jackson Doak (noskcaj) on 2014-10-27
Changed in gnome-system-monitor (Ubuntu):
status: Fix Released → In Progress
Jackson Doak (noskcaj) wrote :
summary: - Sync gnome-system-monitor 3.14.1-1 (main) from Debian unstable (main)
+ gnome-system-monitor 3.14.1-1 uses headerbar on all DEs
Jackson Doak (noskcaj) wrote :

I've contacted the developer and he's going to finish the patch in the next month or two

Changed in gnome-system-monitor:
importance: Unknown → Wishlist
status: Unknown → New
Jackson Doak (noskcaj) on 2015-02-12
Changed in gnome-system-monitor (Ubuntu):
status: In Progress → Fix Released
Changed in gnome-system-monitor:
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.